import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { ChatRoutingModule } from './chat-routing.module';
import { ChatComponent } from './chat/chat.component';
import { ChannelListComponent } from './chat/channel-list/channel-list.component';
import { FeedComponent } from './chat/feed/feed.component';
import { ChannelEntryComponent } from './chat/channel-list/channel-entry/channel-entry.component';
import { MessageComponent } from './chat/feed/message/message.component';
import { ProfilePictureComponent } from './chat/feed/message/profile-picture/profile-picture.component';
import { ToolbarComponent } from '../common/toolbar/toolbar.component';
import { MatBadgeModule } from '@angular/material/badge';
import { MatButtonModule } from '@angular/material/button';
import { MatTooltipModule } from '@angular/material/tooltip';
import { MatIconModule } from '@angular/material/icon';
import { MessageBarComponent } from './chat/message-bar/message-bar.component';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { ReactiveFormsModule } from '@angular/forms';
import { MatSidenavModule } from '@angular/material/sidenav';

@NgModule({
  declarations: [
    ChatComponent,
    ChannelListComponent,
    FeedComponent,
    ChannelEntryComponent,
    MessageComponent,
    ProfilePictureComponent,
    MessageBarComponent
  ],
  imports: [
    CommonModule,
    ChatRoutingModule,
    ToolbarComponent,
    MatBadgeModule,
    MatButtonModule,
    MatTooltipModule,
    MatIconModule,
    MatFormFieldModule,
    MatInputModule,
    ReactiveFormsModule,
    MatSidenavModule
  ]
})
export class ChatModule { }
