import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { Channel } from '../../../../models/channel';

@Component({
  selector: 'app-channel-entry',
  standalone: false,
  templateUrl: './channel-entry.component.html',
  styleUrl: './channel-entry.component.scss'
})
export class ChannelEntryComponent implements OnChanges {
  @Input("channel") public channel!: Channel;
  @Input("selected") public selected!: boolean;

  public notifications: number = 0;

  ngOnChanges(_: SimpleChanges): void {
    if (this.selected) {
      this.notifications = 0;
    }
  }

  public Notify() {
    if (!this.selected) this.notifications++;
  }
}
