import { Component, EventEmitter, Input, Output, QueryList, ViewChildren } from '@angular/core';
import { Channel } from '../../../models/channel';
import { ChannelEntryComponent } from './channel-entry/channel-entry.component';

@Component({
  selector: 'app-channel-list',
  standalone: false,
  templateUrl: './channel-list.component.html',
  styleUrl: './channel-list.component.scss'
})
export class ChannelListComponent {
  @Input('channels') public channels!: Channel[];
  @Output("select") public selectEmitter: EventEmitter<number> = new EventEmitter<number>();
  @Output('close') public close: EventEmitter<void> = new EventEmitter<void>();

  @ViewChildren("entry") entries!: QueryList<ChannelEntryComponent>;

  private selectedChannel?: number;
  public get SelectedChannel(): number {
    return this.selectedChannel ?? 0;
  }

  constructor() { }

  public Select(index: number): void {
    this.selectEmitter.emit(this.selectedChannel = index);
  }

  public Notify(channel: number): void {
    this.entries.find(entry => entry.channel.id == channel)?.Notify()
  }
}
