import { AfterViewInit, Component, DoCheck, ElementRef, EventEmitter, Input, IterableDiffer, IterableDiffers, Output } from '@angular/core';
import { Message } from '../../../models/message';

@Component({
  selector: 'app-feed',
  standalone: false,
  templateUrl: './feed.component.html',
  styleUrl: './feed.component.scss'
})
export class FeedComponent implements AfterViewInit {
  @Input('messages') public messages?: Message[];

  constructor(private element: ElementRef<HTMLElement>) { }

  ngAfterViewInit(): void {
    this.scrollToBottom();
  }

  private isAtBottom(): boolean {
    let element = this.element.nativeElement;
    return Math.abs(element.scrollHeight - element.clientHeight - element.scrollTop) <= 100;
  }

  private scrollToBottom(): void {
    setTimeout(() => this.element.nativeElement.scrollTop = this.element.nativeElement.scrollHeight, 100);
  }

  public ScrollEventHandler(): void {
    if (this.isAtBottom()) this.scrollToBottom();
  }
}
