import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { UserComponent } from './user/user.component';
import { UsernameResolver } from '../services/auth.service';

const routes: Routes = [
  {
    path: ':username', component: UserComponent
  },
  {
    path: '', canActivate: [UsernameResolver], component: UserComponent, pathMatch: "full"
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class UserRoutingModule { }
